Name: ovm-consoled
Version: 0.1
Release: 11.2
Summary: Oracle VM console server.
License: GPLv2
Group: Applications/System
URL: http://www.oracle.com/virtualization
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: python >= 2.4, socat

Patch1: dummy.patch
Patch2: add-license-file.patch
Patch3: fix-invalid-uuid.patch
Patch4: notification.patch
Patch5: ovm-consoled-refresh-tunnel-interval-increase-to-60s-from-10s.patch
Patch6: restrict-manager-ip-only-for-access.patch
Patch7: fix-agent-notification-module-path.patch
Patch8: restrict-manager-ip-only-for-access-add-missing-part.patch
Patch9: ovm-consoled-fix-migration.patch
Patch10: ovm-console-hvm-serial-console.patch
Patch11: rev292.patch
Patch12: rev319.patch
# End Oracle Patches

%description
Oracle VM console server for exporting guest consoles.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
    /sbin/chkconfig --add ovm-consoled
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service ovm-consoled stop >/dev/null 2>&1
    /sbin/chkconfig --del ovm-consoled
fi

%files
%defattr(-,root,root)
%doc README COPYING
%{_sysconfdir}/init.d/ovm-consoled
%config(noreplace) %{_sysconfdir}/ovm-consoled.conf
%{_sbindir}/ovm-consoled

%changelog
* Wed Jun 04 2014 Chuang Cao <chuang.cao@oracle.com> - 0.1-11.2 
- Reduce xenstore watches and fix a regular expression which may cause xend been killed
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Firas Azar <firas.azar@oracle.com>
  Backported-by: Chuang Cao <chuang.cao@oracle.com> [bug 18645251]  

* Thu Apr 10 2014 Chuang Cao <chuang.cao@oracle.com> - 0.1-11.1 
- fix get tty path
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com>
  Backported-by: Chuang Cao <chuang.cao@oracle.com> [bug 18278789]  

* Wed Nov 21 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-11 
- Support hvm serial console
  We should setup the SSL tunnel against serial console for hvm and against pv
  console for pvm.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 15881557]  

* Wed Aug 15 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-10 
- With this patch, during VM migration, the tunnel on the source side will be
  removed. It also restrict one connection to the tunnel.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14481292]  

* Tue Jul 31 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-9
- Remove dependency on stunnel [bug 14318945]

* Fri May 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-8 
- restrict Manager IP only for SSL vnc/tty console access - add missing part.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Apr 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-7 
- fix agent notification module path.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Mar 19 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-6 
- restrict Manager IP only for SSL vnc/tty console access.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Dec 22 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-5 
- increase refresh tunnel interval to 60s from 10s. [bug 13480981] 

* Thu Dec 15 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-4 
- fix notification for agent refactor 

* Wed Nov 02 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-3 
- fix invalid uuid issue: {DOMAIN} 0004fb00-0006-0000-31fb-cf2d7b325e4f-1 {SSLVNC} 6927 

* Fri Aug 26 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-2 
- add license file [bug 12737215] 

* Tue Aug 31 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-1
- Initial build.
